Relesys API Docs

v1.1

https://api.relesysapp.net/api/v1.1

Fillings

Get Fillings
GET /serviceforms/{serviceFormId}/forms/{formId}/fillings
https://api.relesysapp.net/api/v1.1/serviceforms/{serviceFormId}/forms/{formId}/fillings
Get a list of fillings for the form with ID formId.

The fillings contain information about which department it was created for, as well the general score for the filling.

fillingScore - This field displays the sum of all points given for the filling. The fillingScore will be null if no related field contains a data list of type "Scored".

performancePercent - This field displays the performance percentage (0-100%) between the given filling score and the highest possible filling score. If the filling score would be 95 out of a possible 100 the performancePercent would display 95.0.
Scopes: relesys.api, relesys.api:read, relesys.api.serviceform, relesys.api.serviceform:read
URL Path
serviceFormId string / guid required
formId string / guid required
Query String
creationDateTime datetimeoffset Filterable Sortable optional
departmentId string / guid Filterable optional
fillingScore integer Filterable Sortable optional
id string / guid Filterable optional
isDraft boolean Filterable optional
lastModifiedDateTime datetimeoffset Filterable Sortable optional
parentFillingId string / guid Filterable optional
performancePercent double Filterable optional
serviceFormId string / guid Filterable optional
number integer Sortable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"c3798ca0-bd37-4c75-abdc-00a361d415cd","formId":"7ae28d34-2b19-422b-9abc-3f4730ccd941","parentFillingId":"05cd3613-397b-46e2-bed7-1a450b3e485a","departmentId":"9a2ca772-2b3b-4f9a-bf42-19f16e6aa528","number":1,"isDraft":false,"creationDateTime":"2026-10-15T14:42:58.9314467+00:00","lastModifiedDateTime":"2026-10-20T14:42:58.9314467+00:00","fillingScore":5,"performancePercent":85.62},{"id":"459ec5e9-5083-473a-97bb-7b4f6b5f60ad","formId":"ece40459-48c8-483e-8734-e7922dd45e3f","parentFillingId":null,"departmentId":"78739e0f-73f3-4b0a-8edf-284898fe4792","number":1,"isDraft":false,"creationDateTime":"2026-10-15T14:42:58.9314467+00:00","lastModifiedDateTime":null,"fillingScore":null,"performancePercent":null}]}
object
  count integer      
  ⯈ data array[object]      
   creationDateTime datetimeoffset      
   departmentId string / guid      
   fillingScore integer      
   formId string / guid      
   id string / guid      
   isDraft boolean      
   lastModifiedDateTime datetimeoffset      
   number integer      
   parentFillingId string / guid      
   performancePercent double      
  nextUrl string      
  previousUrl string